import 'package:cramr_ui_lib/model/verb_test_model.dart';
import 'package:cramr_ui_lib/theme/custom_theme.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class VerbIndicativeStudyFormAppbar {
  AppBar asWidget(BuildContext context) {
    return AppBar(
      key: UniqueKey(),
      title: _titleCell(context),
      actions: [
        _homeIcon(context),
      ],
    );
  }

  Widget _titleCell(BuildContext context) {
    return Consumer<VerbTestModel>(builder: (context, testModel, child) {
      return Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        mainAxisAlignment: MainAxisAlignment.start,
        children: [
          Text(
            "Vervoeging ${testModel.verb.infinitive}",
            key: Key("Vervoeging ${testModel.verb.infinitive}"),
            textAlign: TextAlign.left,
          ),
          Text("${testModel.verb.translation}",
              key: Key("vertaling ${testModel.verb.infinitive}"),
              textAlign: TextAlign.left,
              style: TextStyle(
                  fontSize: 15,
                  fontFamily: 'Roboto',
                  fontStyle: FontStyle.italic)),
        ],
      );
    });
  }

  IconButton _homeIcon(BuildContext context) {
    return IconButton(
        key: Key('home_button'),
        onPressed: () {
          Navigator.restorablePopAndPushNamed(context, '/verbSelectionRoute');
        },
        icon: Icon(Icons.home));
  }
}
